Page MenuHomePhabricator

[AST] Reformat CastExpr unittest suite
ClosedPublic

Authored by kimgr on Jan 15 2022, 2:16 AM.

Details

Summary

In preparation for adding new tests. No functional change.

Diff Detail

Unit TestsFailed

TimeTest
800 msx64 debian > SanitizerCommon-tsan-x86_64-Linux.Linux::decorate_proc_maps.cpp
Script: -- : 'RUN: at line 1'; /var/lib/buildkite-agent/builds/llvm-project/build/./bin/clang --driver-mode=g++ -gline-tables-only -fsanitize=thread -m64 -funwind-tables -ldl -g /var/lib/buildkite-agent/builds/llvm-project/compiler-rt/test/sanitizer_common/TestCases/Linux/decorate_proc_maps.cpp -o /var/lib/buildkite-agent/builds/llvm-project/build/projects/compiler-rt/test/sanitizer_common/tsan-x86_64-Linux/Linux/Output/decorate_proc_maps.cpp.tmp

Event Timeline

kimgr requested review of this revision.Jan 15 2022, 2:16 AM
kimgr created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptJan 15 2022, 2:16 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript
davrec accepted this revision.Jan 15 2022, 5:50 PM
This revision is now accepted and ready to land.Jan 15 2022, 5:50 PM
kimgr added a comment.Jan 16 2022, 6:36 AM

@daverec I don't have commit access, could you help me land this?

I've rebased on main without conflicts, and ninja check-clang ran successfully after rebase.

Let me know if there's anything else I can do as far as prep work.

davrec added a subscriber: rsmith.

@daverec I don't have commit access, could you help me land this?

I've rebased on main without conflicts, and ninja check-clang ran successfully after rebase.

Let me know if there's anything else I can do as far as prep work.

@rsmith is the code owner, and would know best about prep, though he's not always available - Richard could you spare a glance and point @kimgr to any additional steps needed to land this and D117391?

aaron.ballman accepted this revision.Jan 31 2022, 8:09 AM
aaron.ballman added a subscriber: aaron.ballman.

The NFC changes LGTM! What name and email address would you like me to use for patch attribution?

kimgr added a comment.Feb 2 2022, 8:41 AM

@aaron.ballman Thanks! Please use Kim Gräsman and kim.grasman at gmail.com.

aaron.ballman closed this revision.Feb 7 2022, 6:23 AM

@aaron.ballman Thanks! Please use Kim Gräsman and kim.grasman at gmail.com.

You're welcome. I've pushed on your behalf in d7ddad408f5b64df39a39f4af3a631275961b975. Thanks!